---
apiVersion: v1
kind: Secret
metadata:
  name: cif-tokens
  labels:
    heritage: {{ .Release.Service }}
    release: {{ .Release.Name }}
    chart: {{ .Chart.Name }}-{{ .Chart.Version }}
data:
  CIF_TOKEN_ADMIN: {{ .Values.cif.tokens.admin | default "changeme" | b64enc | quote }}
  CIF_TOKEN_HUNTER: {{ .Values.cif.tokens.hunter | default "changeme" | b64enc | quote }}
  CIF_TOKEN_SMRT: {{ .Values.cif.tokens.smrt | default "changeme" | b64enc | quote }}
  CIF_TOKEN_HTTPD: {{ .Values.cif.tokens.httpd | default "changeme" | b64enc | quote }}
{{ if .Values.smrt.enabled }}
---
apiVersion: v1
kind: Secret
metadata:
  name: smrt-rule-tokens
  labels:
    heritage: {{ .Release.Service }}
    release: {{ .Release.Name }}
    chart: {{ .Chart.Name }}-{{ .Chart.Version }}
data:
{{ if .Values.smrt.ruleTokens }}
{{ range $k, $v := .Values.smrt.ruleTokens }}
  {{ $k | upper }}: {{ $v | b64enc | quote }}
{{ end }}
{{ end }}
{{ end }}
{{- if .Values.filebeat.enabled }}
---
apiVersion: v1
kind: Secret
metadata:
  name: filebeat-tls-auth
  labels:
    heritage: {{ .Release.Service }}
    release: {{ .Release.Name }}
    chart: {{ .Chart.Name }}-{{ .Chart.Version }}
data:
  ca.pem: {{ .Values.filebeat.ca | quote }}
  cert.pem: {{ .Values.filebeat.cert | quote }}
  key.pem: {{ .Values.filebeat.key | quote }}
{{- end }}
